---
# country level management.
- is_attacked:
   # we are in Peace :D
   0:
     # 相關基礎研究 (technologies tree)
     # 財富
     - is_wealth_researched:
        0: research_economy
     # 擴張
     - is_expansion_researched:
        0: research_seafaring
     # 造紙
     - is_paper_researched:
        0: research_knowledge
     # 正規軍
     - is_professionalarmy_researched:
        0: resaerch_military
     # 釀酒
     - is_winepress_researched:
        0: research_economy
     # 發明 (兵工廠)
     - is_invention_researched:
        0: research_knowledge
     # 異國文化
     - is_culturalexchange_researched:
        0: research_seafaring
     # 希臘火, 建造噴火船
     - is_greekfire_researched:
        0: research_seafaring
     # 文化交流, 建造博物館
     - is_culturalexchange_researched:
        0: research_knowledge
        
   1: run_defence
   # we are being attacked!!!!!!!!!!!!!
